{
    attributes = (
        {
            columnName = RNAT_CODE; 
            externalType = VARCHAR2; 
            name = rnatCode; 
            valueClassName = NSString; 
            width = 4; 
        }, 
        {
            allowsNull = Y; 
            columnName = RNAT_LIBELLE; 
            externalType = VARCHAR2; 
            name = rnatLibelle; 
            valueClassName = NSString; 
            width = 200; 
        }
    ); 
    attributesUsedForLocking = (rnatCode); 
    className = EOGenericRecord; 
    classProperties = (rnatCode, rnatLibelle); 
    externalName = SCOL_RUOA_NATURE; 
    fetchSpecificationDictionary = {}; 
    name = ScolRuoaNature; 
    primaryKeyAttributes = (rnatCode); 
}
